Bug 42814 - Fetchmail complains when using "interface" option
Fetchmail complains when using "interface" option
Product: Red Hat Linux
Classification: Retired
Component: fetchmail (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-05-30 05:15 EDT by chris
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-30 05:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description chris 2001-05-30 05:15:58 EDT
fetchmail-5.7.4-4 distributed with RH7.1 complains that the "interface"
option in the .fetchmailrc file is only supported under Linux and FreeBSD,
despite this being a Linux system.  I have in my .fetchmailrc:

  poll my.mail.host
   with proto IMAP and options interface "eth0/"

but fetchmail says:

  fetchmail: interface option is only supported under Linux and FreeBSD

The fetchmail distributed with previous versions of RedHat supported this
option without problem
Comment 1 Nalin Dahyabhai 2001-06-26 02:31:47 EDT
The interface specification language is not supported when IPv6 support is
compiled in, and we have begun enabling that support.  The message in later
versions reads:
    fetchmail: interface option is only supported under Linux (without IPv6) and

If you need the functionality, a rebuild of the source package with the
--enable-inet6 option on the %configure line is probably the best way to go.

Tagging as fixed in Raw Hide because the text message in 5.7.4 *is* incorrect.

Note You need to log in before you can comment on or make changes to this bug.